Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Migration from kde-base to kde-plasma
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Mika15
n00b
n00b


Joined: 09 Dec 2010
Posts: 48
Location: Barcelona, Spain

PostPosted: Sun Sep 20, 2015 11:43 am    Post subject: [Solved] Migration from kde-base to kde-plasma Reply with quote

Hi everyone!

I want to migrate my gentoo from normal kde (profile default/linux/amd64/13.0/desktop/kde) to kde-plasma (profile default/linux/amd64/13.0/desktop/plasma), I started to read this:
https://wiki.gentoo.org/wiki/KDE/Plasma_5_upgrade

But I have these errors when I try "emerge -Dpv kde-plasma/plasma-desktop":
Code:
[blocks B      ] kde-base/kwin ("kde-base/kwin" is blocking kde-plasma/kwin-5.4.1)
[blocks B      ] kde-base/plasma-workspace ("kde-base/plasma-workspace" is blocking kde-plasma/plasma-workspace-5.4.1, kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-apps/kcontrol ("kde-apps/kcontrol" is blocking kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-base/solid-actions-kcm ("kde-base/solid-actions-kcm" is blocking kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-base/ksplash ("kde-base/ksplash" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/kdebase-cursors ("kde-base/kdebase-cursors" is blocking kde-plasma/oxygen-5.4.1)
[blocks B      ] kde-base/ksmserver ("kde-base/ksmserver" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-apps/kdesu[handbook] ("kde-apps/kdesu[handbook]" is blocking kde-plasma/kde-cli-tools-5.4.1)
[blocks B      ] kde-base/kdebase-startkde ("kde-base/kdebase-startkde" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-apps/knetattach[handbook] ("kde-apps/knetattach[handbook]" is blocking kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-base/krunner ("kde-base/krunner" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/kcminit ("kde-base/kcminit" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/freespacenotifier ("kde-base/freespacenotifier" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/klipper ("kde-base/klipper" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/libtaskmanager ("kde-base/libtaskmanager" is blocking kde-plasma/plasma-workspace-5.4.1)
[blocks B      ] kde-base/systemsettings ("kde-base/systemsettings" is blocking kde-plasma/kwin-5.4.1, kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-apps/kdepasswd ("kde-apps/kdepasswd" is blocking kde-plasma/plasma-desktop-5.4.1)
[blocks B      ] kde-base/kactivities:4[-minimal(-)] ("kde-base/kactivities:4[-minimal(-)]" is blocking kde-frameworks/kactivities-5.14.0)
[blocks B      ] kde-base/baloo:4[-minimal(-)] ("kde-base/baloo:4[-minimal(-)]" is blocking kde-frameworks/baloo-5.14.0)
[blocks B      ] kde-base/ksysguard:4 ("kde-base/ksysguard:4" is blocking kde-plasma/libksysguard-5.4.1)

Total: 56 packages (14 upgrades, 42 new), Size of downloads: 215,246 KiB
Conflict: 20 blocks (20 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-base/baloo-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-base/baloo-4.14.3:4[aqua=] (>=kde-base/baloo-4.14.3:4[-aqua]) required by (kde-apps/gwenview-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/baloo-4.12.0:4[aqua=] (>=kde-base/baloo-4.12.0:4[-aqua]) required by (media-gfx/digikam-4.12.0:4/4::gentoo, installed)
    >=kde-base/baloo-4.14.3:4[aqua=] (>=kde-base/baloo-4.14.3:4[-aqua]) required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/baloo-4.14.3:4[aqua=] (>=kde-base/baloo-4.14.3:4[-aqua]) required by (kde-apps/baloo-widgets-4.14.3:4/4.14::gentoo, installed)

  (kde-frameworks/kactivities-5.14.0:5/5.14::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-frameworks/kactivities-5.13.0:5 required by (kde-plasma/plasma-workspace-5.4.1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.14 required by (kde-frameworks/plasma-5.14.0:5/5.14::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.13.0:5 required by (kde-plasma/kwin-5.4.1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.13.0:5 required by (kde-plasma/plasma-desktop-5.4.1:5/5::gentoo, ebuild scheduled for merge)

  (kde-apps/kdepasswd-15.08.0:4/15.08::gentoo, installed) pulled in by
    >=kde-apps/kdepasswd-4.11.22:4[aqua=] (>=kde-apps/kdepasswd-4.11.22:4[-aqua]) required by (kde-base/kdm-4.11.22:4/4.11::gentoo, installed)
    >=kde-apps/kdepasswd-4.14.3:4[aqua=] (>=kde-apps/kdepasswd-4.14.3:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/ksmserver-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/ksmserver-4.11:4[aqua=] (>=kde-base/ksmserver-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/ksmserver-4.11.22:4[aqua=] (>=kde-base/ksmserver-4.11.22:4[-aqua]) required by (kde-base/krunner-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/ksmserver-4.11.22:4[aqua=] (>=kde-base/ksmserver-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-plasma/plasma-desktop-5.4.1:5/5::gentoo, ebuild scheduled for merge) pulled in by
    kde-plasma/plasma-desktop

  (kde-base/ksysguard-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/ksysguard-4.11:4[aqua=] (>=kde-base/ksysguard-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/ksysguard-4.11.22:4[aqua=] (>=kde-base/ksysguard-4.11.22:4[-aqua]) required by (kde-base/krunner-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/ksysguard-4.11.22:4[aqua=] (>=kde-base/ksysguard-4.11.22:4[-aqua]) required by (kde-base/plasma-workspace-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/ksysguard-4.11.22:4[aqua=] (>=kde-base/ksysguard-4.11.22:4[-aqua]) required by (kde-base/libtaskmanager-4.11.22:4/4.11::gentoo, installed)

  (kde-base/solid-actions-kcm-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/solid-actions-kcm-4.11:4[aqua=] (>=kde-base/solid-actions-kcm-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-plasma/kde-cli-tools-5.4.1:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-plasma/kde-cli-tools-5.4.1:5 required by (kde-plasma/plasma-workspace-5.4.1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-plasma/kde-cli-tools-5.4.1:5 required by (kde-plasma/breeze-5.4.1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-plasma/kde-cli-tools-5.4.1:5 required by (kde-plasma/kwin-5.4.1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-plasma/kde-cli-tools-5.4.1:5 required by (kde-plasma/plasma-desktop-5.4.1:5/5::gentoo, ebuild scheduled for merge)

  (kde-base/ksplash-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/ksplash-4.11:4[aqua=] (>=kde-base/ksplash-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/ksplash-4.11.22:4[aqua=] (>=kde-base/ksplash-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-base/klipper-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/klipper-4.11:4[aqua=] (>=kde-base/klipper-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/systemsettings-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/systemsettings-4.11:4[aqua=] (>=kde-base/systemsettings-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/systemsettings-4.11.22:4[aqua=] (>=kde-base/systemsettings-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-base/kcminit-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kcminit-4.11:4[aqua=] (>=kde-base/kcminit-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/kcminit-4.11.22:4[aqua=] (>=kde-base/kcminit-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/kcminit-4.11.22:4[aqua=] (>=kde-base/kcminit-4.11.22:4[-aqua]) required by (kde-base/ksmserver-4.11.22:4/4.11::gentoo, installed)

  (kde-apps/kdesu-15.08.0:4/15.08::gentoo, installed) pulled in by
    >=kde-apps/kdesu-4.14.3:4[aqua=] (>=kde-apps/kdesu-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)
    >=kde-apps/kdesu-4.14.3:4[aqua=] (>=kde-apps/kdesu-4.14.3:4[-aqua]) required by (kde-base/khelpcenter-4.14.3:4/4.14::gentoo, installed)
    >=kde-apps/kdesu-4.14.3:4[aqua=] (>=kde-apps/kdesu-4.14.3:4[-aqua]) required by (kde-apps/kdepasswd-15.08.0:4/15.08::gentoo, installed)

  (kde-base/libtaskmanager-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/libtaskmanager-4.11:4[aqua=] (>=kde-base/libtaskmanager-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/libtaskmanager-4.11.22:4[aqua=] (>=kde-base/libtaskmanager-4.11.22:4[-aqua]) required by (kde-base/klipper-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/libtaskmanager-4.11.22:4[aqua=] (>=kde-base/libtaskmanager-4.11.22:4[-aqua]) required by (kde-base/plasma-workspace-4.11.22:4/4.11::gentoo, installed)

  (kde-apps/kcontrol-15.08.0-r1:4/15.08::gentoo, installed) pulled in by
    >=kde-apps/kcontrol-4.14.3:4[aqua=] (>=kde-apps/kcontrol-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/plasma-workspace-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/plasma-workspace-4.4:4[aqua=] (>=kde-base/plasma-workspace-4.4:4[-aqua]) required by (kde-misc/plasma-network-status-0.1.1:4/4::gentoo, installed)
    >=kde-base/plasma-workspace-4.11:4[aqua=] (>=kde-base/plasma-workspace-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/plasma-workspace-4.11.22:4[aqua=] (>=kde-base/plasma-workspace-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kdebase-startkde-4.11:4[aqua=] (>=kde-base/kdebase-startkde-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-apps/knetattach-15.08.0:4/15.08::gentoo, installed) pulled in by
    >=kde-apps/knetattach-4.14.3:4[aqua=] (>=kde-apps/knetattach-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/kwin-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kwin-4.11:4[aqua=] (>=kde-base/kwin-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/kwin-4.11.22:4[aqua=] (>=kde-base/kwin-4.11.22:4[-aqua]) required by (kde-base/systemsettings-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/kwin-4.11.22:4[aqua=] (>=kde-base/kwin-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-base/freespacenotifier-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/freespacenotifier-4.11:4[aqua=] (>=kde-base/freespacenotifier-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/kdebase-cursors-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kdebase-cursors-4.11:4[aqua=] (>=kde-base/kdebase-cursors-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/krunner-4.11.22:4/4.11::gentoo, installed) pulled in by
    >=kde-base/krunner-4.11:4[aqua=] (>=kde-base/krunner-4.11:4[-aqua]) required by (kde-apps/kdebase-meta-4.14.3:4/4::gentoo, installed)
    >=kde-base/krunner-4.11.22:4[aqua=] (>=kde-base/krunner-4.11.22:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.22:4/4.11::gentoo, installed)

  (kde-base/kactivities-4.13.3:4/4.13::gentoo, installed) pulled in by
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/plasma-runtime-15.08.0:4/15.08::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/gwenview-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.11.22:4[aqua=] (>=kde-base/kactivities-4.11.22:4[-aqua]) required by (kde-base/powerdevil-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.22:4[aqua=] (>=kde-base/kactivities-4.11.22:4[-aqua]) required by (kde-base/kwin-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.22:4[aqua=] (>=kde-base/kactivities-4.11.22:4[-aqua]) required by (kde-base/libtaskmanager-4.11.22:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.22:4[aqua=] (>=kde-base/kactivities-4.11.22:4[-aqua]) required by (kde-base/plasma-workspace-4.11.22:4/4.11::gentoo, installed)


Do I have to unmerge all packages that are blocking the new ones from kde-plasma ?

Thanks for your help.


Last edited by Mika15 on Sun Sep 20, 2015 2:44 pm; edited 1 time in total
Back to top
View user's profile Send private message
Mika15
n00b
n00b


Joined: 09 Dec 2010
Posts: 48
Location: Barcelona, Spain

PostPosted: Sun Sep 20, 2015 2:43 pm    Post subject: Solved Reply with quote

Ok, I think that it's solved.

Making source /etc/profile && env-update then emerge -Duv world and a depclean to finish, all packages can be installed now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum